Bug 9213 - Implement analytics for NORMARC XSLT
Summary: Implement analytics for NORMARC XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Magnus Enger
QA Contact: Paul Poulain
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-04 18:54 UTC by Magnus Enger
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9213 - Implement analytics for NORMARC XSLT (48.58 KB, patch)
2013-01-24 22:18 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 9213 - Implement analytics for NORMARC XSLT (48.64 KB, patch)
2013-02-08 09:16 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9213 - Implement analytics for NORMARC XSLT (48.75 KB, patch)
2013-03-20 17:17 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-12-04 18:54:17 UTC
NORMARC XSLT is currently missing all the cool "Show analytics"/"Show volumes" etc links. Can't have that!
Comment 1 Magnus Enger 2013-01-24 22:18:16 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2013-01-24 22:22:18 UTC
Sorry for the long test plan...
Comment 3 Mirko Tietgen 2013-02-05 21:46:43 UTC
I think the beginning of the test plan lack an explanation of your analytics settings. I don't think I have seen something that looks like »In the "Normal" view, do New > New child record and create another record«. Is that EasyAnalytics or what settings does one have to use to follow the plan?
Comment 4 Mirko Tietgen 2013-02-05 21:54:23 UTC
Sorry, ignore my last comment, it is there :)
Comment 5 Chris Cormack 2013-02-08 09:16:08 UTC Comment hidden (obsolete)
Comment 6 Paul Poulain 2013-03-20 17:16:30 UTC
QA comment
 * koha-qa.pl
 * NORMARC related only, and I trust Magnus more than I trust myself on this matter ;-)

passed QA
Comment 7 Paul Poulain 2013-03-20 17:17:10 UTC
Created attachment 16553 [details] [review]
[PASSED QA] Bug 9213 - Implement analytics for NORMARC XSLT

Problem:
Links between anaytics records were not being displayed for NORMARC setups.

What this patch does:
1. Add indexing for 773 subfield a, w and 9; both for GRS-1 and DOM indexing
   (The DOM indexing config was generated from the GRS-1 record.abs)
2. Add "analytics links" to NORMARC XSLT files, both for OPAC and intranet

To test:
- Make sure you have a NORMARC installation
- Set UseControlNumber = Use
- Create a parent record with LDR/07=c. Leave 001 empty.
- In the "Normal" view, do New > New child record and create another record. Do
  this twice (so you get a list of hits when you click on the "Show anaytics"
  links later on).

- Do the following steps both in the OPAC and the Intranet:
  - Search for the parent record in such a way that you can see the record in a
    *result list*
  - Check that the "Show analytics" link is displayed, and uses the title of the
    parent record for linking: ?q=Host-item:<Title of parent record>
  - Clik on the "Show analytics" link and check that you get a result list with
    the two child records you created earlier
  - Go back to the result list and click on the parent record, so you get the
    *detail view*
  - Check that the "Show analytics" link is displayed, and uses the title of the
    parent record for linking: ?q=Host-item:<Title of parent record>
  - Clik on the "Show analytics" link and check that you get a result list with
    the two child records you created earlier
  - Search for one or both of the child records in such a way that you can see
    the record(s) in a *result list*
  - Check that the "In: <Title of parent record>" link is displayed, and that it
    uses the biblionumber of the parent record for linking:
    ?q=Control-number:<biblionumber of parent record>
  - Click on the "In: <Title of parent record>" link, and check that the parent
    record is displayed
  - Go back to the result list and click on the child record, so you get the
    *detail view*
  - Check that the "In: <Title of parent record>" link is displayed, and that it
    uses the biblionumber of the parent record for linking:
    ?q=Control-number:<biblionumber of parent record>
  - Click on the "In: <Title of parent record>" link, and check that the parent
    record is displayed

- Now edit the parent record and put it's biblionumber in 001. Repeat the steps
  above, and check that everything still works, but that the links are different:
  - The "Show analytics" link on the parent record should look like this:
    ?q=rcn:<biblionumber of parent record>+and+(bib-level:a+or+bib-level:b)
  - The "In: <Title of parent record>" link on the child records should be the
    same as it was earlier

- Now set UseControlNumber = "Don't use" and repeat all of the steps above
  - All of the links should still be displayed and work, of course
  - The "In: <Title of parent record>" link on the child records should look
    like this: ?q=ti,phr:<Title of parent record>
  - The "Show analytics" link on the parent record should look like this:
    ?q=Host-item:<Title of parent record>

- Change LDR/07 to "s" and repeat all of the steps above
- Do all of this both for GRS-1 indexing and for DOM indexing...

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 8 Jared Camins-Esakov 2013-03-20 18:41:05 UTC
This patch has been pushed to master.
Comment 9 Chris Cormack 2013-04-24 09:22:00 UTC
Pushed to 3.10.x will be in 3.10.6